## org.apache.mahout.utils.io
Class IOWriterWrapper

    java.lang.Object
      org.apache.mahout.utils.io.IOWriterWrapper

All Implemented Interfaces:
  Closeable, WrappedWriter

    public class IOWriterWrapper

extends Object
implements WrappedWriter

Implementation of the `WrappedWriter` interface based on `Writer`.

Constructor Summary
`IOWriterWrapper(Writer writer)`

Method Summary
`void` `close()`
`void` `write(String key, String value)` Writes a new key and value, separating them with one space.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IOWriterWrapper

    public IOWriterWrapper(Writer writer)

Method Detail

### write

    public void write(String key,
                      String value)
               throws IOException

  Writes a new key and value, separating them with one space. The value must end with a new line or some other delimiter, as it is not automatically added by this method

  Specified by:
    `write` in interface `WrappedWriter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.